Skip to content

Get banks for currency

GET
/v1/wallet/fiat/{currency}/banks

Get a list of banks supported for a given currency.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Path Parameters

currency*

The currency code for the fiat currency (e.g., ZAR)

Type
string
Required

Responses

Banks retrieved successfully

application/json
JSON
[
{
"code": "ABSA",
"displayName": "ABSA Bank",
"defaultBranchCode": "632005",
"rtcParticipant": true,
"rtgsParticipant": true,
"countryCode": "ZA"
},
{
"code": "FNB",
"displayName": "FNB/RMB",
"defaultBranchCode": "250655",
"rtcParticipant": true,
"rtgsParticipant": true,
"countryCode": "ZA"
},
{
"code": "CAPITEC",
"displayName": "Capitec Bank",
"defaultBranchCode": "470010",
"rtcParticipant": true,
"rtgsParticipant": false,
"countryCode": "ZA"
}
]

Playground

Authorization
Variables
Key
Value

Samples